<?xml version="1.0" encoding="utf-8"?>
<!--
 This file is part of Adblock Plus <https://adblockplus.org/>,
 Copyright (C) 2006-present eyeo GmbH

 Adblock Plus is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.

 Adblock Plus is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with Adblock Plus.  If not, see <http://www.gnu.org/licenses/>.
  -->

<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <data>

        <variable
            name="viewModel"
            type="org.adblockplus.adblockplussbrowser.preferences.ui.acceptableads.AcceptableAdsViewModel" />
    </data>

    <ScrollView
        style="@style/PreferenceScreen"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

        <androidx.constraintlayout.widget.ConstraintLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content">

            <View
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:background="@drawable/preferences_group_bg_single"
                app:layout_constraintBottom_toBottomOf="@id/acceptable_ads_description_bottom_space"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="@id/acceptable_ads_description_top_space" />

            <Space
                android:id="@+id/acceptable_ads_description_top_space"
                android:layout_width="wrap_content"
                android:layout_height="16dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toTopOf="parent" />

            <include
                android:id="@+id/acceptable_ads_description_block"
                layout="@layout/acceptable_ads_explanation"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/acceptable_ads_description_top_space" />

            <Space
                android:id="@+id/acceptable_ads_description_bottom_space"
                android:layout_width="wrap_content"
                android:layout_height="16dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/acceptable_ads_description_block" />

            <include
                android:id="@+id/acceptable_ads_selection_block"
                layout="@layout/acceptable_ads_selection"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="16dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/acceptable_ads_description_bottom_space"
                app:viewModel="@{viewModel}" />

            <Space
                android:id="@+id/acceptable_ads_selection_bottom_space"
                android:layout_width="wrap_content"
                android:layout_height="16dp"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/acceptable_ads_selection_block" />

            <include
                android:id="@+id/acceptable_ads_standard_redirect"
                layout="@layout/acceptable_ads_standard_redirect"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                app:layout_constraintStart_toStartOf="parent"
                app:layout_constraintTop_toBottomOf="@id/acceptable_ads_selection_bottom_space" />

        </androidx.constraintlayout.widget.ConstraintLayout>
    </ScrollView>

</layout>